Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoTransparencyType Class Reference
[Nodes]

The SoTransparencyType class is a node for setting the transparency type for shapes. More...

`#include <Inventor/nodes/SoTransparencyType.h>`

Inheritance diagram for SoTransparencyType:

List of all members.

## Public Types
enum | Type
## Public Methods
| SoTransparencyType (void)
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | callback (SoCallbackAction *action)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFEnum | value
## Protected Methods
virtual | ~SoTransparencyType ()

## Detailed Description

The SoTransparencyType class is a node for setting the transparency type for shapes.

In earlier versions of Coin/Open Inventor it was only possible to set the transparency mode globally for an entire scene graph, which could be inconvenient if different transparency types was wanted for different shapes.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

See also:
  SoGLRenderAction::TransparencyType

Since:
  Coin 2.0

## Member Enumeration Documentation

enum SoTransparencyType::Type

| Enumeration of available transparency types. See documentation in SoGLRenderAction for a description of the different types.

## Constructor & Destructor Documentation

SoTransparencyType::SoTransparencyType | ( | void |  | ) |

| Constructor.

SoTransparencyType::~SoTransparencyType | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoTransparencyType::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

void SoTransparencyType::doAction | ( | SoAction * | action | ) | `[virtual]`

| This function performs the typical operation of a node for any action. Reimplemented from SoNode.

void SoTransparencyType::GLRender | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Action method for the SoGLRenderAction. This is called during rendering traversals. Nodes influencing the rendering state in any way or who wants to throw geometry primitives at OpenGL overrides this method. Reimplemented from SoNode.

void SoTransparencyType::callback | ( | SoCallbackAction * | action | ) | `[virtual]`

| Action method for SoCallbackAction. Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph. Reimplemented from SoNode.

## Member Data Documentation

SoSFEnum SoTransparencyType::value

| The transparency type to use for subsequent shape nodes in the scene graph.

The documentation for this class was generated from the following files:

- SoTransparencyType.h
- SoTransparencyType.cpp